
#property copyright "*"
#property link      "*"

#property indicator_chart_window
#property indicator_buffers 7
#property indicator_color1 Violet
#property indicator_color2 Blue
#property indicator_color3 DodgerBlue
#property indicator_color4 Lime
#property indicator_color5 Yellow
#property indicator_color6 Orange
#property indicator_color7 Red

//---- input parameters

extern double k=1;

extern int Pr=0;

//---- buffers

double A1[];
double A2[];
double A3[];
double A4[];
double A5[];
double A6[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE,0,2);
   SetIndexBuffer(0,A1);
   SetIndexStyle(1,DRAW_LINE,0,2);
   SetIndexBuffer(1,A2);
   
   SetIndexStyle(2,DRAW_LINE,0,2);
   SetIndexBuffer(2,A3);
   SetIndexStyle(3,DRAW_LINE,0,2);
   SetIndexBuffer(3,A4);  
   
   SetIndexStyle(4,DRAW_LINE,0,2);
   SetIndexBuffer(4,A5);
   SetIndexStyle(5,DRAW_LINE,0,2);
   SetIndexBuffer(5,A6);     
   

 
   
   
   
   SetIndexLabel(5,"GMA MA S("+DoubleToStr(k*30,0)+")");  
   SetIndexLabel(4,"GMA MA S("+DoubleToStr(k*35,0)+")");  
   SetIndexLabel(3,"GMA MA S("+DoubleToStr(k*40,0)+")");  
   SetIndexLabel(2,"GMA MA S("+DoubleToStr(k*45,0)+")");  
   SetIndexLabel(1,"GMA MA S("+DoubleToStr(k*50,0)+")");  
   SetIndexLabel(0,"GMA MA S("+DoubleToStr(k*60,0)+")");  
 
    
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start(){
  double m;
  double c,p;
   int limit=Bars-IndicatorCounted();
      for(int i=limit-1;i>=0;i--){
         A6[i]=iMA(NULL,0,k*30,0,1,Pr,i);
         A5[i]=iMA(NULL,0,k*35,0,1,Pr,i);        
         A4[i]=iMA(NULL,0,k*40,0,1,Pr,i);        
         A3[i]=iMA(NULL,0,k*45,0,1,Pr,i);       
         A2[i]=iMA(NULL,0,k*50,0,1,Pr,i);        
         A1[i]=iMA(NULL,0,k*60,0,1,Pr,i);            
      }
   return(0);
  }
//+------------------------------------------------------------------+

